# -----------------------------------------------------------------------------
#                           Script to load the data
#          and transform into a list to be read in BUGS / JAGS / STAN
# -----------------------------------------------------------------------------


# Load the data and select the period of interest
# -----------------------------------------------
                               
data <- read.table(file = "data_CMR_smolts.txt", header = TRUE, sep = "")
data <- data[,-1]
data

Q.pred <- seq(from=1,to=8,by=1)


# Transform data into BUGS / JAS format
# -------------------------------------

library(BRugs)

n <- dim(data)[1]
n.pred <- length(Q.pred)
Q.pred=as.list(as.data.frame(Q.pred))
bugsData(data = c("n"=n,as.list(data),"n.pred"=n.pred, Q.pred), fileName = "data.txt", digits=6)


